Subject: Re: bug#10771: TAB completion for info-display-manual

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Dec 2012 05:37:54 +0200

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 02 Dec 2012 23:57:52 +0200
> 
> >> @@ -5138,7 +5138,7 @@ (defun info-display-manual (manual)
> >>  		       (apply-partially 'Info-read-node-name-2
> >>  					Info-directory-list
> >>  					(mapcar 'car Info-suffix-list))
> >> -		       nil t))))
> >> +		       nil nil))))
> >>    (let ((blist (buffer-list))
> >>  	(manual-re (concat "\\(/\\|\\`\\)" manual "\\(\\.\\|\\'\\)"))
> >>  	(case-fold-search t)
> >
> > How is this better than the original command against which this bug
> > was filed?
> 
> At least this is not worse than the original command that reads a manual name
> without completion.

I didn't say it was worse.  I asked how it was better.

> BTW, there is another problem with selecting an Info buffer
> by its Info file name: what if there are two Info buffers
> visiting a manual with the same name.

Then the command finds one of them, and if you repeat the same
command, it finds the second, etc.  Which is fine with me, and I do
have such multiple manuals by the same name loaded in the same
session.

> Which one of them should be preferred by this command?

I don't need any preference.  All I need is a reasonable way of
finding each one of them.

> Also which manual should be preferred in completion when one manual
> is already visited and another manual with the same name is
> available in Info-directory-list?

The visited one, of course.